Add or update condition rules

PUT
/api/v2/conditions/rule/{conditionRuleId}

Add or update rules for a specific condition.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Path Parameters

conditionRuleId*string

The unique identifier of the condition rule to update.

Formatuuid

Request Body

application/json

The rule to update for the condition.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v2/conditions/rule/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "conditionId": "1e06e0eb-07f6-4fcd-8750-870cbafd1693",    "name": "string",    "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d"  }'
"string"